Page MenuHomePhabricator

Run maintenance/populateArchiveRevId.php on all wikis
Closed, ResolvedPublic

Description

This should only be done after 1.31.0-wmf.28 is deployed.

To clean up after ancient MediaWiki changes and to prepare for MCR, this maintenance script needs to be run to ensure all archive table rows have a value in ar_rev_id.

Event Timeline

Anomie created this task.Apr 3 2018, 3:23 PM
Anomie triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2018, 3:23 PM

Do we want this also on the Beta Cluster? I can run the script there for all wikis, or leave that to you or other experienced developer with access there. Thanks.

Note that beta is running the latest 1.31.0-alpha version: https://deployment.wikimedia.beta.wmflabs.org/wiki/Special:Version

Anomie added a comment.Apr 4 2018, 2:25 PM

Beta Cluster should have had it run automatically by update.php.

I ran a check just now and there are no rows in Beta Cluster that this script would update, which means that update.php probably did run it (or else there were no affected rows to begin with).

Mentioned in SAL (#wikimedia-operations) [2018-04-04T14:30:55Z] <anomie> Running populateArchiveRevId.php on group0 wikis for T191307

Mentioned in SAL (#wikimedia-operations) [2018-04-05T13:41:52Z] <anomie> Running populateArchiveRevId.php on group 1 for T191307

Mentioned in SAL (#wikimedia-operations) [2018-04-06T14:07:06Z] <anomie> Running populateArchiveRevId.php for group2 for T191307

Anomie closed this task as Resolved.Apr 6 2018, 6:54 PM